Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodecommentnodeattributes Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodecommentnodeattributes (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getAttributes()" method invoked on a Comment Node returns null.

Retrieve the Comment Node(third child) of the DOM document and invoke the "getAttributes()" method on the Comment Node. It should return null.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-84CF096 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1728279322

Definition at line 45 of file nodecommentnodeattributes.java.

## Constructor & Destructor Documentation

nodecommentnodeattributes::nodecommentnodeattributes | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file nodecommentnodeattributes.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String nodecommentnodeattributes::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 64 of file nodecommentnodeattributes.java.
    00064                                 {
    00065       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodecommentnodeattributes";
    00066    }

void nodecommentnodeattributes::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 67 of file nodecommentnodeattributes.java. References DOMTestCase::doMain().
    00067                                           {
    00068         DOMTestCase.doMain(nodecommentnodeattributes.class,args);
    00069    }

void nodecommentnodeattributes::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file nodecommentnodeattributes.java. References DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       NodeList elementList;
    00056       Node commentNode;
    00057       NamedNodeMap attrList;
    00058       doc = load("staff");
    00059       elementList = doc.getChildNodes();
    00060       commentNode = elementList.item(2);
    00061       attrList = commentNode.getAttributes();
    00062
    00063    }

The documentation for this class was generated from the following file:

- nodecommentnodeattributes.java